aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2018-02-21 09:57:08 +0100
committerLiang Qi <liang.qi@qt.io>2018-02-21 09:57:48 +0100
commit93ff6788783cfd4cd13fd396a2968ed4524f43e3 (patch)
treea60a9aea32e6d1342aac3d7552393220b64b11b2
parentc152f646db9dc23ca78b0ab568eb6aa18b0479fb (diff)
parent91739f5fe3554f0c847346d6011e20de2a24f586 (diff)
Merge remote-tracking branch 'origin/5.11' into dev
-rw-r--r--coin/platform_configs/tqtc-qt-rta.txt5
-rwxr-xr-xcoin/provisioning/common/linux/android_linux.sh2
-rwxr-xr-xcoin/provisioning/common/linux/cmake_linux.sh1
-rwxr-xr-xcoin/provisioning/common/linux/open62541.sh14
-rwxr-xr-xcoin/provisioning/common/macos/python2.sh52
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/10-openssl_for_android_linux.sh1
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh10
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh8
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh4
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh4
-rwxr-xr-xcoin/provisioning/qtci-osx-10.10-x86_64/25-python2.sh4
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/05-systemsetup.sh9
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/25-python2.sh4
-rwxr-xr-xinit-repository1
19 files changed, 131 insertions, 10 deletions
diff --git a/coin/platform_configs/tqtc-qt-rta.txt b/coin/platform_configs/tqtc-qt-rta.txt
new file mode 100644
index 00000000..5453a022
--- /dev/null
+++ b/coin/platform_configs/tqtc-qt-rta.txt
@@ -0,0 +1,5 @@
+Template Target OS Target arch Compiler Features
+--------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
+qtci-windows-7-x86_64-4 MSVC2013 Release ForceDebugInfo OpenGLDynamic DisableTests
+qtci-windows-10-x86-6 MSVC2017 Release ForceDebugInfo OpenGLDynamic
+
diff --git a/coin/provisioning/common/linux/android_linux.sh b/coin/provisioning/common/linux/android_linux.sh
index 76db19d4..a7b83fd7 100755
--- a/coin/provisioning/common/linux/android_linux.sh
+++ b/coin/provisioning/common/linux/android_linux.sh
@@ -88,7 +88,7 @@ try
fi
echo "Running SDK manager for platforms;$sdkApiLevel, tools, platform-tools and build-tools;$sdkBuildToolsVersion."
- if [ "$proxy" != "" ]; then
+ if [ "$http_proxy" != "" ]; then
proxy_host=$(echo $proxy | cut -d'/' -f3 | cut -d':' -f1)
proxy_port=$(echo $proxy | cut -d':' -f3)
echo "y" |"$sdkTargetFolder/tools/bin/sdkmanager" --no_https --proxy=http --proxy_host=$proxy_host --proxy_port=$proxy_port "platforms;$sdkApiLevel" "tools" "platform-tools" "build-tools;$sdkBuildToolsVersion" || throw $ExceptionSdkManager
diff --git a/coin/provisioning/common/linux/cmake_linux.sh b/coin/provisioning/common/linux/cmake_linux.sh
index 98af57c8..7154d822 100755
--- a/coin/provisioning/common/linux/cmake_linux.sh
+++ b/coin/provisioning/common/linux/cmake_linux.sh
@@ -37,7 +37,6 @@
# CMake is needed for autotests that verify that Qt can be built with CMake
-# shellcheck source=InstallFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh"
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
diff --git a/coin/provisioning/common/linux/open62541.sh b/coin/provisioning/common/linux/open62541.sh
index bde5b0de..fc215e8a 100755
--- a/coin/provisioning/common/linux/open62541.sh
+++ b/coin/provisioning/common/linux/open62541.sh
@@ -33,11 +33,23 @@
##
#############################################################################
+set +e
+
+# We need to source to be able to use cmake in the shell
+if uname -a |grep -q "Ubuntu"; then
+ source ~/.profile
+else
+ source ~/.bashrc
+fi
+
+set -ex
+
TEMPDIR=$(mktemp --directory) || echo "Failed to create temporary directory"
trap "sudo rm -fr $TEMPDIR" EXIT
cd $TEMPDIR
-pip install six
+sudo pip install --upgrade pip
+sudo pip install six
git clone https://github.com/open62541/open62541.git open62541
cd open62541
diff --git a/coin/provisioning/common/macos/python2.sh b/coin/provisioning/common/macos/python2.sh
new file mode 100755
index 00000000..fbebee42
--- /dev/null
+++ b/coin/provisioning/common/macos/python2.sh
@@ -0,0 +1,52 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs python2
+
+source "${BASH_SOURCE%/*}/InstallPKGFromURL.sh"
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-2.7.14-macosx10.6.pkg"
+AltUrl="https://www.python.org/ftp/python/2.7.14/python-2.7.14-macosx10.6.pkg"
+SHA1="fa2bb77243ad0cb611aa3295204fab403bb0fa09"
+DestDir="/"
+
+InstallPKGFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$DestDir"
+
+/Library/Frameworks/Python.framework/Versions/2.7/bin/pip install virtualenv
+
+SetEnvVar "PATH" "/Library/Frameworks/Python.framework/Versions/2.7/bin/:\$PATH"
+
+echo "python2 = 2.7.14" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-systemsetup.sh
index 90b32d0d..fc07e6fa 100755
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-systemsetup.sh
@@ -37,6 +37,6 @@ set -ex
source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
-if [ "$proxy" != "" ]; then
+if [ "$http_proxy" != "" ]; then
echo "proxy=$proxy" | sudo tee -a /etc/yum.conf
fi
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh
index a7718d96..bf97a166 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh
@@ -51,6 +51,6 @@ gsettings set org.gnome.desktop.screensaver lock-enabled false
# disable blank screen power saving
gsettings set org.gnome.desktop.session idle-delay 0
-if [ "$proxy" != "" ]; then
+if [ "$http_proxy" != "" ]; then
echo "proxy=$proxy" | sudo tee -a /etc/yum.conf
fi
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/10-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/10-openssl_for_android_linux.sh
index b685362e..9b0cd0f6 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/10-openssl_for_android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/10-openssl_for_android_linux.sh
@@ -32,6 +32,7 @@
## $QT_END_LICENSE$
##
#############################################################################
+set +e
source /opt/rh/devtoolset-4/enable
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
index 6c198b1d..e00e2498 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
@@ -47,6 +47,7 @@ ExceptionGsettings2=101
ExceptionGsettings3=102
ExceptionNTS=103
ExceptionProxy=104
+ExceptionGrub=105
try
(
@@ -58,11 +59,14 @@ try
gsettings set org.gnome.desktop.screensaver lock-enabled false || throw $ExceptionGsettings2
echo "Disable questions on shutdown."
gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true || throw $ExceptionGsettings3
+ echo "Set grub timeout to 0"
+ sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub || throw $ExceptionGrub
+ sudo update-grub || throw $ExceptionGrub
echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts || throw $ExceptionNTS
- if [ "$proxy" != "" ]; then
+ if [ "$http_proxy" != "" ]; then
echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf || throw $ExceptionProxy
fi
)
@@ -84,6 +88,10 @@ catch || {
echo "Failed to disable questions on shutdown."
exit 1;
;;
+ $ExceptionGrub)
+ echo "Failed to set grub timeout."
+ exit 1;
+ ;;
$ExceptionNTS)
echo "Failed to set network teset server address into /etc/hosts."
exit 1;
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
index 73916cb3..e0e1d1f1 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
@@ -99,6 +99,8 @@ try
installPackages+=(libgstreamer-plugins-bad1.0-dev)
# Support for cross-building to x86 (needed by WebEngine boot2qt builds)
installPackages+=(g++-multilib)
+ # python2 development package
+ installPackages+=(python-pip)
# python3 development package
installPackages+=(python3-dev)
installPackages+=(python3-pip)
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh
index 9ff1ec6c..b2057b21 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh
@@ -94,4 +94,10 @@ sed $QEMU_FONTCONFFILE -e "s:/usr/share/fonts:$QEMU_FONTCONFPATH/fonts:" -i
sed $QEMU_FONTCONFFILE -e "s:/usr/local/share/fonts:$QEMU_FONTCONFPATH/local_fonts:" -i
# Set QEMU font configuration variables
-SetEnvVar "QEMU_SET_ENV" "\"FONTCONFIG_FILE=$QEMU_FONTCONFFILE,FONTCONFIG_PATH=$QEMU_FONTCONFPATH\""
+qemu_env="FONTCONFIG_FILE=$QEMU_FONTCONFFILE"
+qemu_env="${qemu_env},FONTCONFIG_PATH=$QEMU_FONTCONFPATH"
+
+# Disable QtWayland window decorations, as they cause flakiness when used inside qemu (QTBUG-66173)
+qemu_env="${qemu_env},QT_WAYLAND_DISABLE_WINDOWDECORATION=1"
+
+SetEnvVar "QEMU_SET_ENV" "\"${qemu_env}\""
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
index 4ebc1b44..c0e7b8e9 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
@@ -7,13 +7,18 @@ source $BASEDIR/../common/shared/network_test_server_ip.txt
source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc
+echo "Set grub timeout to 0"
+sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub
+sudo update-grub
echo "Set Network Test Server address to $network_test_server_ip in /etc/hosts"
echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
echo "Set DISPLAY"
echo 'export DISPLAY=":0"' >> ~/.bashrc
+echo "Disabling file indexing."
+sudo balooctl disable
-if [ "$proxy" != "" ]; then
+if [ "$http_proxy" != "" ]; then
sudo sed -i 's/PROXY_ENABLED=\"no\"/PROXY_ENABLED=\"yes\"/' /etc/sysconfig/proxy
sudo sed -i "s|HTTP_PROXY=\".*\"|HTTP_PROXY=\"$proxy\"|" /etc/sysconfig/proxy
fi
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
index 20430d6a..6420efe7 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
+ExceptionDisableSleep=106
try
(
@@ -56,6 +57,9 @@ try
# For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
+ echo "Disable sleep"
+ sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
+
# For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
(
@@ -126,5 +130,10 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
+ $ExceptionDisableSleep)
+ echo "Failed to disable sleep."
+ exit 1;
+ ;;
+
esac
}
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh b/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh
new file mode 100755
index 00000000..ef65edad
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/macos/python2.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
index a039654a..d85e3c8e 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
@@ -35,8 +35,8 @@
# This script installs QNX 7.
-# shellcheck source=../common/try_catch.sh
-source "${BASH_SOURCE%/*}/../common/try_catch.sh"
+# shellcheck source=../common/unix/try_catch.sh
+source "${BASH_SOURCE%/*}/../common/unix/try_catch.sh"
targetFolder="/opt/"
sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700_mac.zip"
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/25-python2.sh b/coin/provisioning/qtci-osx-10.10-x86_64/25-python2.sh
new file mode 100755
index 00000000..ef65edad
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/25-python2.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/macos/python2.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/05-systemsetup.sh b/coin/provisioning/qtci-osx-10.11-x86_64/05-systemsetup.sh
index 5cb067a7..994dedf4 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/05-systemsetup.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/05-systemsetup.sh
@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
+ExceptionDisableSleep=106
try
(
@@ -56,6 +57,9 @@ try
# For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
+ echo "Disable sleep"
+ sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
+
# For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
(
@@ -126,6 +130,11 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
+ $ExceptionDisableSleep)
+ echo "Failed to disable sleep."
+ exit 1;
+ ;;
+
esac
}
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/25-python2.sh b/coin/provisioning/qtci-osx-10.11-x86_64/25-python2.sh
new file mode 100755
index 00000000..ef65edad
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/25-python2.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/macos/python2.sh"
diff --git a/init-repository b/init-repository
index 11a75ffd..875aec2b 100755
--- a/init-repository
+++ b/init-repository
@@ -243,6 +243,7 @@ sub parse_arguments
$self->{'mirror-url'} = $OSLO_MIRROR_URL_BASE;
},
) || printUsage(2);
+ @ARGV && printUsage(2);
# Replace any double trailing slashes from end of mirror
$self->{'mirror-url'} =~ s{//+$}{/};